Auth.
Token, password, SSO, login-as, and account authentication flows. 13 operations. Each links to a permanent page with parameters, a cURL example, and a sample response — or open this category in the interactive explorer.
POST
/v1.0/auth/acceptTermsAndConditionsAcceptance of Terms and Conditions.POST/v1.0/auth/clientTokenGet a token for an API user for a trusted client.POST/v1.0/auth/enrichTokenCreates OKTA token enrichment objectPOST/v1.0/auth/loginAsGet a token for a requested user.GET/v1.0/auth/passwordValidate authorization to update password. Restricted to special 'CHANGE_PASSWORD' rolePOST/v1.0/auth/passwordUpdates user password in case user forgot current password. Restricted to special 'CHANGE_PASSWORD' rolePOST/v1.0/auth/passwordResetRequest a password reset. Sends a password reset link to the user’s email.GET/v1.0/auth/refreshTokenGet a new token with an increased expiration time.POST/v1.0/auth/setAssociatedAccountPasswordSet the new associated account to enable and change the default passwordPOST/v1.0/auth/sso/initiateInitiate SP-initiated SSO flow using user email. Returns WorkOS authorization URL when SSO is configured for the domain.POST/v1.0/auth/termsAndConditionsUpdates the date the user accepted the Terms and Condtions of the pagePOST/v1.0/auth/tokenGet an authentication token (JWT). Note that 'Bearer' text should be added before the JWT token that is returned in this API call upon successful response for the authorizing purposes and any subsequent API calls that are going to be made.POST/v1.0/auth/usernameRequestSends the username for a given email address